using BS.Shared;

namespace BeWo.Data.Entities
{
    public class ValueListEntry2Object : BeWoEntityBase
    {
        public static string PropertyName_Entry = "Entry";

        public static string PropertyName_ObjectTid = "ObjectTid";

        private ValueListEntry _Entry;

        private TableID _ObjectTid;

        public ValueListEntry2Object()
        {
            this._Tid = TableID.ValueListEntry2Object;
        }

        public virtual ValueListEntry Entry
        {
            get
            {
                if (this._Entry == null)
                {
                    this._Entry = new ValueListEntry();
                }

                return this._Entry;
            }

            set
            {
                if (this.AreDifferent(this._Entry, value))
                {
                    this._Entry = value;
                }
            }
        }

        public virtual TableID ObjectTid
        {
            get
            {
                return this._ObjectTid;
            }

            set
            {
                if (this._ObjectTid != value)
                {
                    this._ObjectTid = value;
                }
            }
        }
    }
}